### org.jfree.layouting.input.style

# Class CSSImportRule

- `java.lang.Object`
- - `org.jfree.layouting.input.style.StyleRule`
  - - `org.jfree.layouting.input.style.CSSImportRule`

Implemented Interfaces:
  Cloneable, Serializable

`public class CSSImportRule`
`extends StyleRule`

Creation-Date: 23.11.2005, 11:06:52

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSImportRule(StyleSheet parentStyle, StyleRule parentRule)`

  ## Method Summary

  `URL`

  `getHref()`

  `StyleSheet`

  `getStyleSheet()`

  `void`

  `setHref(URL href)`

  `void`

  `setStyleSheet(StyleSheet styleSheet)`

  ### Methods inherited from class org.jfree.layouting.input.style.StyleRule

  `clone`, `getParentRule`, `getParentStyle`, `getStyleKeyRegistry`, `isReadOnly`, `makeReadOnly`, `setParentRule`, `setParentStyle`

## Constructor Details

### CSSImportRule

    public CSSImportRule(StyleSheet parentStyle,
                         StyleRule parentRule)

## Method Details

### getHref

    public URL getHref()

### getStyleSheet

    public StyleSheet getStyleSheet()

### setHref

    public void setHref(URL href)

### setStyleSheet

    public void setStyleSheet(StyleSheet styleSheet)